#1442 closed defect (fixed)

Termios close problem

Reported by: Sebastian Huber Owned by: Joel Sherrill
Priority: normal Milestone: 4.10
Component: score Version: 4.10
Severity: normal Keywords:
Cc: nbkolchin@… Blocked By:
Blocking:

Description

Suppose you have two tasks E and T. Task T writes permanently to console via Termios. Task E calls exit(). During the exit() procedure all open files will be closed and eventually the console. Termios tries to drain the output buffer during the close. This drain may not succeed an last forever due to the permanent write of task T. A solution may be to obtain the output semaphore (like in ioctl()).

Attachments (1)

termios.patch (618 bytes) - added by Sebastian Huber on Sep 15, 2009 at 6:14:03 AM.
Termios close fix

Download all attachments as: .zip

Change History (3)

Changed on Sep 15, 2009 at 6:14:03 AM by Sebastian Huber

Attachment: termios.patch added

Termios close fix

comment:1 Changed on Sep 29, 2009 at 6:16:44 AM by Nickolay Semyonov-Kolchin

Cc: Nickolay Semyonov-Kolchin added

comment:2 Changed on Aug 11, 2010 at 10:34:08 AM by Sebastian Huber

Resolution: fixed
Status: newclosed

Committed long ago.

Note: See TracTickets for help on using tickets.